Subject: [PATCH 1/5] ARM: dts: exynos5250-arndale: Add node entry for gpio-buttons

From: [email-masked] (Tushar Behera)
Date: Thu, 07 Feb 2013 12:26:29 +0530

On 02/07/2013 12:06 PM, Manish Badarkhe wrote:
> Hi Tushar
> 
> On Thu, Feb 7, 2013 at 11:56 AM, Tushar Behera <[email-masked]> wrote:
>> On 02/07/2013 11:47 AM, Kumar, Anil wrote:
>>> On Thu, Feb 07, 2013 at 10:45:25, Tushar Behera wrote:
>>>> Added GPIO buttons DT node to Arndale board file.
>>>>
>>>> Signed-off-by: Tushar Behera <[email-masked]>
>>>> Signed-off-by: Sachin Kamat <[email-masked]>
>>>> ---
>>>> This series is based on for-next branch of Kukjin Kim's tree
>>>> and added on top of the below patch:
>>>> https://patchwork.kernel.org/patch/2042451/
>>>> ---
>>>>  arch/arm/boot/dts/exynos5250-arndale.dts |   48 ++++++++++++++++++++++++++++++
>>>>  1 files changed, 48 insertions(+), 0 deletions(-)
>>>>
>>>> diff --git a/arch/arm/boot/dts/exynos5250-arndale.dts b/arch/arm/boot/dts/exynos5250-arndale.dts
>>>> index 63572f9..9ce40df 100644
>>>> --- a/arch/arm/boot/dts/exynos5250-arndale.dts
>>>> +++ b/arch/arm/boot/dts/exynos5250-arndale.dts
>>>> @@ -119,4 +119,52 @@
>>>>      spi_2: spi at 12d40000 {
>>>>              status = "disabled";
>>>>      };
>>>> +
>>>> +    gpio_keys {
>>>> +            compatible = "gpio-keys";
>>>> +            #address-cells = <1>;
>>>> +            #size-cells = <0>;
>>>
>>> Just want to understand why these properties are here?
>>> As these properties are for child dt node. But have not seen
>>> anyone is using here.
>>>
>>
>> That is how gpio_keys node entries are defined in other .dts files.
> 
> I have gone through example for address-cells and size-cells in following link:
> http://devicetree.org/mediawiki/index.php?title=Device_Tree_Usage&stable=1#CPU_addressing
> 
> which indicates that these fields are for child "reg".
> I think, here in child node there is no "reg". so there is no use
> of address-cells and size-cells propeties.
> 

Please check Documentation/devicetree/bindings/gpio/gpio_keys.txt

And whether these properties are required or not, I will let device tree
experts to comment on that.

As such, currently all node entries for gpio_keys use these properties.

-- 
Tushar Behera